Index: /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Index.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Index.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Index.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Index extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Index extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'login.tpl';
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -76,6 +72,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -115,6 +110,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('ID', 'login_id', ID_MAX_LEN, '', array('EXIST_CHECK', 'ALNUM_CHECK' ,'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('PASSWORD', 'password', ID_MAX_LEN, '', array('EXIST_CHECK', 'ALNUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -129,6 +123,5 @@
      * @return array $arrErr エラー配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 書式チェック
         $arrErr = $objFormParam->checkError();
@@ -151,6 +144,5 @@
      * @return boolean ログイン情報が有効な場合 true
      */
-    function lfIsLoginMember($login_id, $pass)
-    {
+    function lfIsLoginMember($login_id, $pass) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         //パスワード、saltの取得
@@ -175,6 +167,5 @@
      * @return void
      */
-    function lfDoLogin($login_id)
-    {
+    function lfDoLogin($login_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         //メンバー情報取得
@@ -199,6 +190,5 @@
      * @return string $sid 設定したセッションのセッションID
      */
-    function lfSetLoginSession($member_id, $login_id, $authority, $login_name, $last_login)
-    {
+    function lfSetLoginSession($member_id, $login_id, $authority, $login_name, $last_login) {
         $objSess = new SC_Session_Ex();
         // 認証済みの設定
@@ -227,6 +217,5 @@
      * @return void
      */
-    function lfSetLoginData($sid, $member_id, $login_id, $authority, $last_login)
-    {
+    function lfSetLoginData($sid, $member_id, $login_id, $authority, $last_login) {
         // ログイン記録ログ出力
         $str_log = "login: user=$login_id($member_id) auth=$authority "
@@ -251,6 +240,5 @@
      * @return void
      */
-    function lfSetIncorrectData($error_login_id)
-    {
+    function lfSetIncorrectData($error_login_id) {
         GC_Utils_Ex::gfPrintLog($error_login_id . ' password incorrect.');
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Home extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Home extends LC_Page_Admin_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'home.tpl';
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // DBバージョンの取得
@@ -116,6 +112,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -126,6 +121,5 @@
      * @return string PHPバージョン情報
      */
-    function lfGetPHPVersion()
-    {
+    function lfGetPHPVersion() {
         return 'PHP ' . phpversion();
     }
@@ -136,6 +130,5 @@
      * @return mixed DBバージョン情報
      */
-    function lfGetDBVersion()
-    {
+    function lfGetDBVersion() {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         return $dbFactory->sfGetDBVersion();
@@ -147,6 +140,5 @@
      * @return integer 会員数
      */
-    function lfGetCustomerCnt()
-    {
+    function lfGetCustomerCnt() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = 'COUNT(customer_id)';
@@ -162,6 +154,5 @@
      * @return integer 結果数値
      */
-    function lfGetOrderYesterday($method)
-    {
+    function lfGetOrderYesterday($method) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -178,6 +169,5 @@
      * @return integer 結果数値
      */
-    function lfGetOrderMonth($method)
-    {
+    function lfGetOrderMonth($method) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $month = date('Y/m', mktime());
@@ -194,6 +184,5 @@
      * @return integer 会員の保持ポイント合計
      */
-    function lfGetTotalCustomerPoint()
-    {
+    function lfGetTotalCustomerPoint() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -209,6 +198,5 @@
      * @return integer 昨日のレビュー書き込み数
      */
-    function lfGetReviewYesterday()
-    {
+    function lfGetReviewYesterday() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -224,6 +212,5 @@
      * @return integer レビュー書き込み非表示数
      */
-    function lfGetReviewNonDisp()
-    {
+    function lfGetReviewNonDisp() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -238,6 +225,5 @@
      * @return array 品切れ商品一覧
      */
-    function lfGetSoldOut()
-    {
+    function lfGetSoldOut() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -246,5 +232,5 @@
         $where = 'product_id IN ('
                . 'SELECT product_id FROM dtb_products_class '
-               . 'WHERE del_flg = 0 AND stock_unlimited = ? AND stock <= 0)'
+               . 'WHERE stock_unlimited = ? AND stock <= 0)'
                . ' AND del_flg = 0';
         return $objQuery->select($cols, $table, $where, array(UNLIMITED_FLG_LIMITED));
@@ -256,6 +242,5 @@
      * @return array 新規受付一覧配列
      */
-    function lfGetNewOrder()
-    {
+    function lfGetNewOrder() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -314,6 +299,5 @@
      * @return array 取得した情報配列
      */
-    function lfGetInfo()
-    {
+    function lfGetInfo() {
         // 更新情報の取得ON/OFF確認
         if (!ECCUBE_INFO) return array();
Index: /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Logout extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Logout extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
     }
@@ -63,6 +60,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->lfDoLogout();
@@ -77,6 +73,5 @@
      * @return void
      */
-    function lfDoLogout()
-    {
+    function lfDoLogout() {
         $objSess = new SC_Session_Ex();
         $objSess->logout();
@@ -88,6 +83,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 22570)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Kiyaku extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Kiyaku extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/kiyaku.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,16 +66,21 @@
      * @return void
      */
-    function action()
-    {
-
-        $objKiyaku = new SC_Helper_Kiyaku_Ex();
+    function action() {
+
+        $objDb = new SC_Helper_DB_Ex();
 
         $mode = $this->getMode();
         $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($mode, $objFormParam);
-        $objFormParam->setParam($_POST);
+        $objFormParam->setParam($_REQUEST);
         $objFormParam->convParam();
-
-        $kiyaku_id = $objFormParam->getValue('kiyaku_id');
+        $this->arrErr = $this->lfCheckError($mode, $objFormParam);
+        $is_error = (!SC_Utils_Ex::isBlank($this->arrErr));
+
+        $this->kiyaku_id = $objFormParam->getValue('kiyaku_id');
+        if ($is_error) {
+            trigger_error('', E_USER_ERROR);
+            return;
+        }
 
         // 要求判定
@@ -86,56 +88,49 @@
             // 編集処理
             case 'confirm':
-                // エラーチェック
-                $this->arrErr = $this->lfCheckError($objFormParam, $objKiyaku);
-                if (!SC_Utils_Ex::isBlank($this->arrErr['kiyaku_id'])) {
-                    trigger_error('', E_USER_ERROR);
-                    return;
-                }
-
-                if (SC_Utils_Ex::isBlank($this->arrErr)) {
-                    // POST値の引き継ぎ
-                    $arrParam = $objFormParam->getHashArray();
-                    // 登録実行
-                    $res_kiyaku_id = $this->doRegist($kiyaku_id, $arrParam, $objKiyaku);
-                    if ($res_kiyaku_id !== FALSE) {
-                        // 完了メッセージ
-                        $kiyaku_id = $res_kiyaku_id;
-                        $this->tpl_onload = "alert('登録が完了しました。');";
+                // POST値の引き継ぎ
+                $this->arrForm = $_POST;
+
+                if (!$is_error) {
+                    if ($this->kiyaku_id == '') {
+                        $result = $this->lfInsertClass($this->arrForm, $_SESSION['member_id']);    // 新規作成
+                    } else {
+                        $result = $this->lfUpdateClass($this->arrForm, $this->kiyaku_id);    // 既存編集
+                    }
+
+                    if ($result !== FALSE) {
+                        $arrPram = array(
+                            'kiyaku_id' => $result,
+                            'msg' => 'on',
+                        );
+
+                        SC_Response_Ex::reload($arrPram, true);
+                        SC_Response_Ex::actionExit();
                     }
                 }
-
-                // 編集中の規約IDを渡す
-                $this->tpl_kiyaku_id = $kiyaku_id;
                 break;
             // 削除
             case 'delete':
-                $objKiyaku->delete($kiyaku_id);
-                break;
-
-            // 編集前処理
-            case 'pre_edit':
-                // 編集項目を取得する。
-                $arrKiyakuData = $objKiyaku->get($kiyaku_id);
-                $objFormParam->setParam($arrKiyakuData);
-
-                // 編集中の規約IDを渡す
-                $this->tpl_kiyaku_id = $kiyaku_id;
-                break;
-
-            case 'down':
-                $objKiyaku->rankDown($kiyaku_id);
+                $objDb->sfDeleteRankRecord('dtb_kiyaku', 'kiyaku_id', $this->kiyaku_id, '', true);
 
                 // 再表示
                 $this->objDisplay->reload();
                 break;
-
-            case 'up':
-                $objKiyaku->rankUp($kiyaku_id);
+            case 'down':
+                $objDb->sfRankDown('dtb_kiyaku', 'kiyaku_id', $this->kiyaku_id);
 
                 // 再表示
                 $this->objDisplay->reload();
                 break;
-
+            case 'up':
+                $objDb->sfRankUp('dtb_kiyaku', 'kiyaku_id', $this->kiyaku_id);
+
+                // 再表示
+                $this->objDisplay->reload();
+                break;
             default:
+                if (isset($_GET['msg']) && $_GET['msg'] == 'on') {
+                    // 完了メッセージ
+                    $this->tpl_onload = "alert('登録が完了しました。');";
+                }
                 break;
         }
@@ -143,7 +138,23 @@
         $this->arrForm = $objFormParam->getFormParamList();
 
-        // 規約一覧を取得
-        $this->arrKiyaku = $objKiyaku->getList();
-}
+        if (!$is_error) {
+            // 規約一覧を取得
+            $this->arrKiyaku = $this->lfGetKiyakuList();
+            // kiyaku_id が指定されている場合には規約データの取得
+            if (!SC_Utils_Ex::isBlank($this->kiyaku_id)) {
+                // 編集項目を取得する。
+                $arrKiyakuData = $this->lfGetKiyakuDataByKiyakuID($this->kiyaku_id);
+
+                // 入力項目にカテゴリ名を入力する。
+                $this->arrForm['kiyaku_title'] = $arrKiyakuData[0]['kiyaku_title'];
+                $this->arrForm['kiyaku_text'] = $arrKiyakuData[0]['kiyaku_text'];
+                // POSTデータを引き継ぐ
+                $this->tpl_kiyaku_id = $this->kiyaku_id;
+            }
+        } else {
+            // 画面にエラー表示しないため, ログ出力
+            GC_Utils_Ex::gfPrintLog('Error: ' . print_r($this->arrErr, true));
+        }
+    }
 
     /**
@@ -152,34 +163,60 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    /**
-     * 登録処理を実行.
-     * 
-     * @param integer $kiyaku_id
-     * @param array $sqlval
-     * @param object $objKiyaku
-     * @return multiple
-     */
-    function doRegist($kiyaku_id, $sqlval, SC_Helper_Kiyaku_Ex &$objKiyaku)
-    {
-        $sqlval['kiyaku_id'] = $kiyaku_id;
-        $sqlval['creator_id'] = $_SESSION['member_id'];
-        return $objKiyaku->save($sqlval);
-    }
-
-    function lfInitParam($mode, &$objFormParam)
-    {
+    /* DBへの挿入 */
+    function lfInsertClass($arrData, $member_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        // INSERTする値を作成する。
+        $sqlval = array();
+        $sqlval['kiyaku_title'] = $arrData['kiyaku_title'];
+        $sqlval['kiyaku_text'] = $arrData['kiyaku_text'];
+        $sqlval['creator_id'] = $member_id;
+        $sqlval['rank'] = $objQuery->max('rank', 'dtb_kiyaku') + 1;
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $sqlval['create_date'] = 'CURRENT_TIMESTAMP';
+        // INSERTの実行
+        $sqlval['kiyaku_id'] = $objQuery->nextVal('dtb_kiyaku_kiyaku_id');
+        $ret = $objQuery->insert('dtb_kiyaku', $sqlval);
+        return ($ret) ? $sqlval['kiyaku_id'] : FALSE;
+    }
+
+    function lfGetKiyakuDataByKiyakuID($kiyaku_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $where = 'kiyaku_id = ?';
+        return $objQuery->select('kiyaku_text, kiyaku_title', 'dtb_kiyaku', $where, array($kiyaku_id));
+    }
+
+    function lfGetKiyakuList() {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $where = 'del_flg <> 1';
+        $objQuery->setOrder('rank DESC');
+        return $objQuery->select('kiyaku_title, kiyaku_text, kiyaku_id', 'dtb_kiyaku', $where);
+    }
+
+    /* DBへの更新 */
+    function lfUpdateClass($arrData, $kiyaku_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        // UPDATEする値を作成する。
+        $sqlval['kiyaku_title'] = $arrData['kiyaku_title'];
+        $sqlval['kiyaku_text'] = $arrData['kiyaku_text'];
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $where = 'kiyaku_id = ?';
+        // UPDATEの実行
+        $ret = $objQuery->update('dtb_kiyaku', $sqlval, $where, array($kiyaku_id));
+        return ($ret) ? $kiyaku_id : FALSE;
+    }
+
+    function lfInitParam($mode, &$objFormParam) {
         switch ($mode) {
             case 'confirm':
-            case 'pre_edit':
                 $objFormParam->addParam('規約タイトル', 'kiyaku_title', SMTEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
                 $objFormParam->addParam('規約内容', 'kiyaku_text', MLTEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
-                $objFormParam->addParam('規約ID', 'kiyaku_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-                break;
             case 'delete':
+            case 'pre_edit':
             case 'down':
             case 'up':
@@ -194,16 +231,16 @@
      *
      * @param string $mode
-     * @param object $objKiyaku
      * @return array
      */
-    function lfCheckError($objFormParam, SC_Helper_Kiyaku_Ex &$objKiyaku)
-    {
+    function lfCheckError($mode, $objFormParam) {
         $arrErr = $objFormParam->checkError();
-        $arrForm = $objFormParam->getHashArray();
-
-        $isTitleExist = $objKiyaku->isTitleExist($arrForm['kiyaku_title'], $arrForm['kiyaku_id']);
-        // 編集中のレコード以外に同じ名称が存在する場合
-        if ($isTitleExist) {
-            $arrErr['name'] = '※ 既に同じ内容の登録が存在します。<br />';
+        if (!isset($arrErr['name']) && $mode == 'confirm') {
+            $post = $objFormParam->getHashArray();
+            $objQuery =& SC_Query_Ex::getSingletonInstance();
+            $arrRet = $objQuery->select('kiyaku_id, kiyaku_title', 'dtb_kiyaku', 'del_flg = 0 AND kiyaku_title = ?', array($post['kiyaku_title']));
+            // 編集中のレコード以外に同じ名称が存在する場合
+            if ($arrRet[0]['kiyaku_id'] != $post['kiyaku_id'] && $arrRet[0]['kiyaku_title'] == $post['kiyaku_title']) {
+                $arrErr['name'] = '※ 既に同じ内容の登録が存在します。<br>';
+            }
         }
         return $arrErr;
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Payment extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Payment extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/payment.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objPayment = new SC_Helper_Payment_Ex();
@@ -118,6 +114,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_PaymentInput extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_PaymentInput extends LC_Page_Admin_Ex {
 
     // {{{ properties
@@ -48,6 +47,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/payment_input.tpl';
@@ -63,6 +61,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -74,6 +71,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objPayment = new SC_Helper_Payment_Ex();
@@ -164,12 +160,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* ファイル情報の初期化 */
-    function lfInitFile()
-    {
+    function lfInitFile() {
         $this->objUpFile->addFile('ロゴ画像', 'payment_image', array('gif','jpeg','jpg','png'), IMAGE_SIZE, false, CLASS_IMAGE_WIDTH, CLASS_IMAGE_HEIGHT);
         return $this->objUpFile;
@@ -177,6 +171,5 @@
 
     /* パラメーター情報の初期化 */
-    function lfInitParam($mode, &$objFormParam)
-    {
+    function lfInitParam($mode, &$objFormParam) {
 
         switch ($mode) {
@@ -219,8 +212,8 @@
 
     /* DBへデータを登録する */
-    function lfRegistData(&$objFormParam, SC_Helper_Payment_Ex $objPayment, $member_id, $payment_id = '')
-    {
+    function lfRegistData(&$objFormParam, SC_Helper_Payment_Ex $objPayment, $member_id, $payment_id = '') {
 
         $sqlval = array_merge($objFormParam->getHashArray(), $this->objUpFile->getDBFileList());
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
         $sqlval['payment_id'] = $payment_id;
         $sqlval['creator_id'] = $member_id;
@@ -236,6 +229,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError($post, $objFormParam, SC_Helper_Payment_Ex $objPayment)
-    {
+    function lfCheckError($post, $objFormParam, SC_Helper_Payment_Ex $objPayment) {
 
         // DBのデータを取得
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/index.tpl';
@@ -70,6 +68,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -81,36 +78,57 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
+
         $objDb = new SC_Helper_DB_Ex();
-        $objFormParam = new SC_FormParam_Ex();
-
-
-        $this->lfInitParam($objFormParam, $_POST);
-        $this->tpl_onload = "fnCheckLimit('downloadable_days', 'downloadable_days_unlimited', '" . DISABLED_RGB . "');";
-
-        if ($this->getMode() === 'confirm') {
+
+        if ($objDb->sfGetBasisExists()) {
+            $this->tpl_mode = 'update';
+        } else {
+            $this->tpl_mode = 'insert';
+        }
+
+        if (!empty($_POST)) {
+
+            $objFormParam = new SC_FormParam_Ex();
+            $this->lfInitParam($objFormParam, $_POST);
             $objFormParam->setParam($_POST);
             $objFormParam->convParam();
 
             $this->arrErr = $this->lfCheckError($objFormParam);
-
-            if (!empty($this->arrErr)) {
-                $this->arrForm = $objFormParam->getHashArray();
-                return;
+            $post = $objFormParam->getHashArray();
+
+            $this->arrForm = $post;
+
+            if (count($this->arrErr) == 0) {
+                switch ($this->getMode()) {
+                    // 既存編集
+                    case 'update':
+                        $this->lfUpdateData($this->arrForm);
+                        break;
+                    // 新規作成
+                    case 'insert':
+                        $this->lfInsertData($this->arrForm);
+                        break;
+                    default:
+                        break;
+                }
+                $this->tpl_onload = "fnCheckLimit('downloadable_days', 'downloadable_days_unlimited', '" . DISABLED_RGB . "'); window.alert('SHOPマスターの登録が完了しました。');";
             }
-
-            $arrData = $objFormParam->getDbArray();
-            SC_Helper_DB_Ex::registerBasisData($arrData);
-
-            // キャッシュファイル更新
-            $objDb->sfCreateBasisDataCache();
-            $this->tpl_onload .= "window.alert('SHOPマスターの登録が完了しました。');";
-        }
-
-        $arrRet = $objDb->sfGetBasisData(true);
-        $objFormParam->setParam($arrRet);
-        $this->arrForm = $objFormParam->getHashArray();
-        $this->arrForm['regular_holiday_ids'] = explode('|', $this->arrForm['regular_holiday_ids']);
+            if (empty($this->arrForm['regular_holiday_ids'])) {
+                $this->arrSel = array();
+            } else {
+                $this->arrSel = $this->arrForm['regular_holiday_ids'];
+            }
+        } else {
+            $arrCol = $this->lfGetCol();
+            $col    = SC_Utils_Ex::sfGetCommaList($arrCol);
+            $arrRet = $objDb->sfGetBasisData(true, $col);
+            $this->arrForm = $arrRet;
+
+            $regular_holiday_ids = explode('|', $this->arrForm['regular_holiday_ids']);
+            $this->arrForm['regular_holiday_ids'] = $regular_holiday_ids;
+            $this->tpl_onload = "fnCheckLimit('downloadable_days', 'downloadable_days_unlimited', '" . DISABLED_RGB . "');";
+        }
+
     }
 
@@ -120,33 +138,79 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    /**
-     * 前方互換用
-     *
-     * @deprecated 2.12.4
-     */
-    function lfUpdateData($arrData)
-    {
-        trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
-        SC_Helper_DB_Ex::registerBasisData($arrData);
-    }
-
-    /**
-     * 前方互換用
-     *
-     * @deprecated 2.12.4
-     */
-    function lfInsertData($arrData)
-    {
-        trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
-        SC_Helper_DB_Ex::registerBasisData($arrData);
-    }
-
-    function lfInitParam(&$objFormParam, $post)
-    {
+    // 基本情報用のカラムを取り出す。
+    function lfGetCol() {
+        $arrCol = array(
+            'company_name',
+            'company_kana',
+            'shop_name',
+            'shop_kana',
+            'shop_name_eng',
+            'zip01',
+            'zip02',
+            'pref',
+            'addr01',
+            'addr02',
+            'tel01',
+            'tel02',
+            'tel03',
+            'fax01',
+            'fax02',
+            'fax03',
+            'business_hour',
+            'email01',
+            'email02',
+            'email03',
+            'email04',
+            'tax',
+            'tax_rule',
+            'free_rule',
+            'good_traded',
+            'message',
+            'regular_holiday_ids',
+            'latitude',
+            'longitude',
+            'downloadable_days',
+            'downloadable_days_unlimited'
+        );
+        return $arrCol;
+    }
+
+    function lfUpdateData($array) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $arrCol = $this->lfGetCol();
+        foreach ($arrCol as $val) {
+            //配列の場合は、パイプ区切りの文字列に変換
+            if (is_array($array[$val])) {
+                $sqlval[$val] = implode('|', $array[$val]);
+            } else {
+                $sqlval[$val] = $array[$val];
+            }
+        }
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        // UPDATEの実行
+        $ret = $objQuery->update('dtb_baseinfo', $sqlval);
+
+        GC_Utils_Ex::gfPrintLog('dtb_baseinfo に UPDATE を実行しました。');
+    }
+
+    function lfInsertData($array) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $arrCol = $this->lfGetCol();
+        foreach ($arrCol as $val) {
+            $sqlval[$val] = $array[$val];
+        }
+        $sqlval['id'] = 1;
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        // INSERTの実行
+        $ret = $objQuery->insert('dtb_baseinfo', $sqlval);
+
+        GC_Utils_Ex::gfPrintLog('dtb_baseinfo に INSERT を実行しました。');
+    }
+
+    function lfInitParam(&$objFormParam, $post) {
         $objFormParam->addParam('会社名', 'company_name', STEXT_LEN, 'KVa',  array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('会社名(フリガナ)', 'company_kana', STEXT_LEN, 'KVC',  array('KANA_CHECK','MAX_LENGTH_CHECK'));
@@ -192,6 +256,6 @@
             $objFormParam->addParam('ダウンロード無制限', 'downloadable_days_unlimited', array('EXIST_CHECK'));
         }
-        $objFormParam->addParam('緯度', 'latitude', STEXT_LEN, '',  array('MAX_LENGTH_CHECK', 'NUM_POINT_CHECK'));
-        $objFormParam->addParam('軽度', 'longitude', STEXT_LEN, '',  array('MAX_LENGTH_CHECK', 'NUM_POINT_CHECK'));
+        $objFormParam->addParam('緯度', 'latitude', STEXT_LEN, '',  array('MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('軽度', 'longitude', STEXT_LEN, '',  array('MAX_LENGTH_CHECK'));
 
         $objFormParam->addParam('定休日', 'regular_holiday_ids', INT_LEN, 'n', array('MAX_LENGTH_CHECK'));
@@ -199,6 +263,5 @@
 
     // 入力エラーチェック
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $arrErr = $objFormParam->checkError();
         $post = $objFormParam->getHashArray();
@@ -211,4 +274,7 @@
         $objErr->doFunc(array('FAX', 'fax01', 'fax02', 'fax03'), array('TEL_CHECK'));
 
+        $objErr->doFunc(array('緯度', 'latitude', STEXT_LEN), array('NUM_POINT_CHECK', 'MAX_LENGTH_CHECK'));
+        $objErr->doFunc(array('経度', 'longitude', STEXT_LEN), array('NUM_POINT_CHECK', 'MAX_LENGTH_CHECK'));
+
         return array_merge((array)$arrErr, (array)$objErr->arrErr);
     }
